Package com.pixelmed.display.event

## Class WindowCenterAndWidthChangeEvent

- java.lang.Object
- - com.pixelmed.event.Event
  - - com.pixelmed.display.event.WindowCenterAndWidthChangeEvent

-     public class WindowCenterAndWidthChangeEvent
      extends Event

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WindowCenterAndWidthChangeEvent​(EventContext eventContext, double center, double width)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `double` | `getWindowCenter()` |
    `double` | `getWindowWidth()` |

    - ### Methods inherited from class com.pixelmed.event.Event

      `getEventContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WindowCenterAndWidthChangeEvent

          public WindowCenterAndWidthChangeEvent​(EventContext eventContext,
                                                 double center,
                                                 double width)

      Parameters:
        `eventContext` -
        `center` -
        `width` -

  - ### Method Detail

    - #### getWindowCenter

          public double getWindowCenter()

    - #### getWindowWidth

          public double getWindowWidth()